Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 67382 - RipperX works on amd64 with a small patch.
Summary: RipperX works on amd64 with a small patch.
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High enhancement (vote)
Assignee: AMD64 Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-13 06:29 UTC by Stuart Coyle
Modified: 2004-11-12 08:18 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stuart Coyle 2004-10-13 06:29:51 UTC
The addition of a stdlib.h include to one file make RipperX work on amd64.
Please add ~amd64 to the KEYWORDS for media-sound/ripperx-2.6.1

The patch I applied is: 

--- ripperX-2.6.1/src/ripper_encoder_manipulation.c     2003-12-08 01:30:57.000000000 +1000
+++ ripperX-2.6.1-new/src/ripper_encoder_manipulation.c 2004-10-13 22:32:15.786290344 +1000
@@ -1,4 +1,5 @@
 
+#include <stdlib.h>
 #include <stdio.h>
 #include <string.h>
 #include <unistd.h>




Reproducible: Always
Steps to Reproduce:
1. Patch ebuild
2. Add patch to files
3. Build




emerge info:

Portage 2.0.50-r11 (default-amd64-2004.2, gcc-3.3.4, glibc-2.3.4.20040808-r1,
2.6.8-gentoo-r4)
=================================================================
System uname: 2.6.8-gentoo-r4 x86_64 AMD Athlon(tm) 64 Processor 3000+
Gentoo Base System version 1.5.3
Autoconf: sys-devel/autoconf-2.59-r5
Automake: sys-devel/automake-1.8.5-r1
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CFLAGS="-march=athlon64 -O3 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
COMPILER=""
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config
/usr/kde/3/share/config /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=athlon64 -O3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs ccache distcc sandbox userpriv usersandbox"
GENTOO_MIRRORS="ftp://mirror.pacific.net.au/linux/Gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acpi alsa amd64 apm avi berkdb bitmap-fonts cdr crypt cups dvdr encode
f77 foomaticdb gdbm gif gimpprint gpm gtk gtk2 imlib java jpeg libg++ libwww
mikmod mng motif mpeg ncurses nls nogcj oggvorbis opengl oss pam pdflib perl png
python quicktime readline sdl slang spell ssl tcpd truetype usb xml2 xmms xprint
xv zlib"

Proposed ebuild patch:

--- /usr/portage/media-sound/ripperx/ripperx-2.6.1.ebuild       2004-08-08
09:41:14.000000000 +1000
+++ /usr/local/portage/media-sound/ripperx/ripperx-2.6.1.ebuild 2004-10-13
23:10:17.626397920 +1000
@@ -2,6 +2,8 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/media-sound/ripperx/ripperx-2.6.1.ebuild,v
1.5 2004/08/07 23:27:48 slarti Exp $
 
+inherit eutils 
+
 IUSE=""
 
 MY_P=${P/x/X}
@@ -19,7 +21,14 @@
 
 SLOT="0"
 LICENSE="GPL-2"
-KEYWORDS="x86 ~ppc"
+KEYWORDS="x86 ~ppc ~amd64"
+
+src_unpack() {
+       unpack ${A}
+       cd ${S} 
+       epatch ${FILESDIR}/${P}-stdlib.patch || die
+               
+}
 
 src_install () {
        dodoc CHANGES COPYING FAQ INSTALL README* TODO
Comment 1 Simon Stelling (RETIRED) gentoo-dev 2004-11-12 08:18:44 UTC
eradicator did that already, marking as fixed